#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path
from setuptools import setup

VERSION = open('src/tmpdir_eraser/_version.py').readlines()[-1].split()[-1].strip("\"'")
README = Path('README.md').read_text()

requires = [
    "sqlalchemy",
    "ssa-workspaces",
    "pycapo",
]
setup(
    name='ssa-' + Path().absolute().name,
    version=VERSION,
    description='Eraser for temporary directories created by workflow executions.',
    long_description=README,
    author='NRAO SSA Team',
    author_email='dms-ssa@nrao.edu',
    url='TBD',
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=['tmpdir_eraser'],
    package_dir={'': 'src'},
    classifiers=[
        'Programming Language :: Python :: 3.8'
    ],
    entry_points={
        'console_scripts': ['tmpdir_eraser = tmpdir_eraser.tmpdir_eraser:main']
    },
)
