"""
Interfaces used by the Workspaces' products system.
"""

from abc import ABC

ProductLocator = str


"""

Products / Helpers

"""


class ProductIF(ABC):
    """
    Parent class for all science products
    """

    pass


class CurrentArchiveProductIF(ProductIF):
    """
    Product that currently exists in the archive and can be located with a product locator
    """

    pass


class FutureArchiveProductIF(ProductIF):
    """
    Class that represents a product that will be ingested into the archive after a capability
    execution has completed
    """

    pass


class FutureProductTypeIF(ABC):
    """
    Class that represents all possible types of future products
    """

    pass


class FutureExecutionBlockIF(FutureProductTypeIF):
    """
    Class that represents an EB that will be the result of a completed capability
    execution
    """

    pass


class FutureProductIF(FutureProductTypeIF):
    """
    Class that represents a product that will be the result of a completed capability execution
    """

    pass


class ProductTypeIF(ABC):
    """
    Class that represents all possible types of products that can result from a capability execution
    """

    # FIXME: We haven't decided how we want to implement this yet
    pass
